Subject: [Acme] Re: Status of draft-ietf-acme-dns-account-label ?
From: Mike Ounsworth <[email-masked]>
To: Sven A Rajala <[email-masked]>
Cc: Antonis Chariton <daknob=[email-masked]>, "[email-masked]" <[email-masked]>, IETF ACME <[email-masked]>
Date: Wed, 13 May 2026 13:01:02 -0500
List-Id: Automated Certificate Management Environment <acme.ietf.org>

Thanks Antonis.

I suspect what happened is that I came in as WG Chair in Aug 2025, and this
draft was already essentially done, so I never saw much discussion, and it
didn't really enter my radar.

Sounds like I could open a WGLC today and we can quickly move it
along. @Antonis, if you agree, then I'll go ahead and do that.

On Wed, 13 May 2026 at 11:53, Sven A Rajala <[email-masked]>
wrote:

> I’m in favor of this draft moving forward. I like how it solves cname
> delegation conflicts with short lived records like the dns-01 challenge and
> how it would help cloud infrastructures with cert provisioning. I like
> interoperability and having options to pick what works best for a given
> environment.
>
> Kindly,
>
> Sven Rajala
>
> Deputy PKI Officer
>
>
>
> *M:* +1 540 687 0761
>
> sven.rajala@*keyfactor.com* <https://www.keyfactor.com/>
>
>
> *From: *Antonis Chariton <daknob=[email-masked]>
> *Date: *Wednesday, 2026 May 13 at 05:28
> *To: *Mike Ounsworth <[email-masked]>
> *Cc: [email-masked] <
> [email-masked]>; IETF ACME <[email-masked]>
> *Subject: *[Acme] Re: Status of draft-ietf-acme-dns-account-label ?
>
> This Message Is From an External Sender
> This message came from outside your organization.
> Report Suspicious
> <https://us-phishalarm-ewt.proofpoint.com/EWT/v1/BjbSd3t9V7AnTp3tuV-82YaK!8EQvgy4L_tTHcg7cXhjTl2yFoWtcGF6cxVC2l6cIZc59xoPNEX37XPRBN40vqBMdaMzGby6rxJKGUkv3YGxomZ0M6W_FEC3SZDcWQS8$>
>
>
> Hello Mike,
>
> Here’s the current status as far as I'm aware of:
>
> - We have incorporated all of this feedback and finished that process a few years ago
> - The current spec has been added to the CA/B Forum BRs and issuance by publicly trusted CAs is allowed with the text as-is
> - At least 3 CAs that I know of have deployed this
> - There are at least 2 different interoperable implementations on the server side
> - There are at least 3 different interoperable implementations on the client side
>
> We have asked for this to proceed once, but it didn’t go into a vote.
>
> I will be at IETF in Vienna, but at this point I am not sure what else is required from us. This is already being used for certificates by CAs for years, and it seems to have been stuck in IETF for a while.
>
> Any help appreciated to move this forward by anyone on this list would be appreciated.
>
> Thanks,
> Antonis
>
> > On 12 May 2026, at 14:47, Mike Ounsworth <[email-masked]> wrote:
> >
> > Hi authors of draft-ietf-acme-dns-account-label,
> >
> > I notice that the draft is due to expire within the week. Could you please give a status update on this draft? Are there active deployments? Are there open issues and active work being done on the document?
> >
> > -Mike Ounsworth
> > ACME Co-Chair
>
> _______________________________________________
> Acme mailing list -- [email-masked]
> To unsubscribe send an email to [email-masked]
>
>